Package org.h2gis.functions.spatial.create

## Class ST_BoundingCircle

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.create.ST_BoundingCircle

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

Direct Known Subclasses:
  `ST_MinimumBoundingCircle`

    public class ST_BoundingCircle
    extends org.h2gis.api.DeterministicScalarFunction

Compute the minimum bounding circle of a geometry. For more information, see `MinimumBoundingCircle`.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_BoundingCircle()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `computeBoundingCircle​(org.locationtech.jts.geom.Geometry geometry)` Computes the bounding circle
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_BoundingCircle

    public ST_BoundingCircle()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### computeBoundingCircle

    public static org.locationtech.jts.geom.Geometry computeBoundingCircle​(org.locationtech.jts.geom.Geometry geometry)

Computes the bounding circle

Parameters:
  `geometry` - `Geometry`
Returns:
  geometry bounding circle